Gtk2::CellView(3)

NAME
Gtk2::CellView

HIERARCHY
  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::CellView

INTERFACES
  Gtk2::CellLayout
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  widget = Gtk2::CellView->new

  widget = Gtk2::CellView->new_with_markup ($markup)

    * $markup (string)

  widget = Gtk2::CellView->new_with_pixbuf ($pixbuf)
    * $pixbuf (Gtk2::Gdk::Pixbuf)

  widget = Gtk2::CellView->new_with_text ($text)

    * $text (string)

  $cell_view->set_background_color ($color)
    * $color (Gtk2::Gdk::Color)

  list = $cellview->get_cell_renderers

  treepath = $cell_view->get_displayed_row

  $cell_view->set_displayed_row ($path)

    * $path (Gtk2::TreePath)

  $cell_view->set_model ($model)
    * $model (Gtk2::TreeModel)

  requisition = $cell_view->get_size_of_row ($path)

    * $path (Gtk2::TreePath)

PROPERTIES
'background' (string : writable / private)
    Background color as a string

'background-gdk' (Gtk2::Gdk::Color : readable / writable / private)
    Background color as a GdkColor

'background-set' (boolean : readable / writable / private)
    Whether this tag affects the background color

SEE ALSO
Gtk2, Glib::Object, Glib::Object::_Unregistered::GInitiallyUnowned, Gtk2::Object, Gtk2::Widget

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.